Alerta de Segurança Debian

DSA-179-1 gnome-gv -- buffer overflow

Data do Alerta:
18 Out 2002
Pacotes Afetados:
gnome-gv
Vulnerável:
Sim
Referência à base de dados de segurança:
Na base de dados do BugTraq (na SecurityFocus): ID BugTraq 5808.
No dicionário CVE do Mitre: CVE-2002-0838.
Informações adicionais:

Zen-parse descobriu um buffer overflow no gv, um visualizador de arquivos PostScript e PDF pra o X11. O mesmo código está presente no gnome-gv. Este problema é acionado ao abrir um arquivo PostScript e pode ser explorado por um atacante enviando um arquivo PostScript ou PDF mal formado. O atacante pode fazer com que um código arbitrário seja executado com os privilégios da vítima.

Este problema foi corrigido na versão 1.1.96-3.1 para a atual distribuição estável (woody), na versão 0.82-2.1 para a antiga distribuição estável (potato) e na versão 1.99.7-9 para a distribuição instável (sid).

Nós recomendamos que você atualize seu pacote gnome-gv.

Corrigido em:

Debian GNU/Linux 2.2 (potato)

Fonte:
http://security.debian.org/pool/updates/main/g/gnome-gv/gnome-gv_0.82-2.1.dsc
http://security.debian.org/pool/updates/main/g/gnome-gv/gnome-gv_0.82-2.1.diff.gz
http://security.debian.org/pool/updates/main/g/gnome-gv/gnome-gv_0.82.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/g/gnome-gv/gnome-gv_0.82-2.1_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/g/gnome-gv/gnome-gv_0.82-2.1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/g/gnome-gv/gnome-gv_0.82-2.1_i386.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/g/gnome-gv/gnome-gv_0.82-2.1_m68k.deb
PowerPC:
http://security.debian.org/pool/updates/main/g/gnome-gv/gnome-gv_0.82-2.1_powerpc.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/g/gnome-gv/gnome-gv_0.82-2.1_sparc.deb

Debian GNU/Linux 3.0 (woody)

Fonte:
http://security.debian.org/pool/updates/main/g/gnome-gv/gnome-gv_1.1.96-3.1.dsc
http://security.debian.org/pool/updates/main/g/gnome-gv/gnome-gv_1.1.96-3.1.diff.gz
http://security.debian.org/pool/updates/main/g/gnome-gv/gnome-gv_1.1.96.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/g/gnome-gv/gnome-gv_1.1.96-3.1_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/g/gnome-gv/gnome-gv_1.1.96-3.1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/g/gnome-gv/gnome-gv_1.1.96-3.1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/g/gnome-gv/gnome-gv_1.1.96-3.1_ia64.deb
HP Precision:
http://security.debian.org/pool/updates/main/g/gnome-gv/gnome-gv_1.1.96-3.1_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/g/gnome-gv/gnome-gv_1.1.96-3.1_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/g/gnome-gv/gnome-gv_1.1.96-3.1_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/g/gnome-gv/gnome-gv_1.1.96-3.1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/g/gnome-gv/gnome-gv_1.1.96-3.1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/g/gnome-gv/gnome-gv_1.1.96-3.1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/g/gnome-gv/gnome-gv_1.1.96-3.1_sparc.deb

Checksums MD5 dos arquivos listados estão disponíveis no alerta original.